apply this patch to fix the build with cmake 4:
diff --git a/PKGBUILD b/PKGBUILD
index 1259a7b..9d10071 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -69,6 +69,7 @@ source=(
'git+https://github.com/Joshua-Ashton/reshade.git'
'git+https://github.com/Joshua-Ashton/GamescopeShaders.git#tag=v0.1'
'git+https://github.com/KhronosGroup/SPIRV-Headers.git'
+ 'https://gist.githubusercontent.com/VoodaGod/3ad0c5d23cfca93518317d4135e4dcca/raw/c5f2032fd9d192b757220d3f64b5a8c835aa9844/openvr_cmake4.patch'
)
b2sums=(
@@ -81,6 +82,7 @@ b2sums=(
'SKIP'
'SKIP'
'SKIP'
+ 'SKIP'
)
provides=("$_pkgname")
@@ -89,15 +91,6 @@ conflicts=("$_pkgname")
prepare() {
cd "$_pkgname"
- # Add custom patches if needed
- for src in "${source[@]}"; do
- src="${src%%::*}"
- src="${src##*/}"
- [[ $src = *.patch ]] || continue
- echo "Applying patch $src..."
- git apply -v "../$src"
- done
-
meson subprojects download
git submodule init subprojects/wlroots
@@ -122,6 +115,15 @@ prepare() {
git config submodule.thirdparty/SPIRV-Headers.url ../SPIRV-Headers
git -c protocol.file.allow=always submodule update
+
+ # Add custom patches if needed
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ echo "Applying patch $src..."
+ git apply -v "../$src"
+ done
}
pkgver() {
Pinned Comments
Scrumplex commented on 2022-06-14 10:44 (UTC)
Please do not flag this package as out-of-date if it still builds fine and isn't missing any dependencies or anything